#![no_std]
#![no_main]

extern crate alloc;

use alloc::vec::Vec;
use user_lib::*;
use user_lib::syscall::*;

#[no_mangle]
fn main() -> i32 {
    let current_timer = sys_get_time();
    let wait_for = current_timer + 3000;
    while sys_get_time() < wait_for {
        sys_yield();
    }
    println!("Test sleep OK!");
    0
}